#!/bin/python3
import pandas as pd
import subprocess
import sys
import os

# usage: run directly, will run testing script and output to latex folder
# need python version 3.9+

Paper_dir="~/Papers/papers/2024-bounded-ch/Figures/"

cmd="mkdir txt; cd txt; "+os.environ['PROJ']+"/chns_project/example_scripts/constant_b_test.sh"

try:
    a = sys.argv[1]
    Paper_dir = a
except:
    pass

def custom_format(x):
    if x > 0.01:
        return f"{x:.02f}"
    else:
        return f"{x:.02E}"


print(cmd)
subprocess.run(cmd,shell=True)
tabledf = pd.read_csv("./txt/b_error_table.txt",delimiter=" ")
tabledf = tabledf.map(custom_format)

begin = r""" \begin{tabular}{|c|c|c|c|}
    \hline
    """

table="$b$ & $q$ & $L_2$ & $L_\infty$"
table+= r''' \\
    \hline
    '''
for index,row in tabledf.iterrows():
    for col in tabledf.columns:
        table+= str(row[col]) + " & "
    table = table[:-2]
    table+="\\\\ \n    "

end=r"""\hline
\end{tabular}
"""
#print(begin+table+end)
with open("./txt/b_error.tex","w") as f:
    f.write(begin+table+end)

#subprocess.run("mkdir ./pdfs; pdflatex -output-directory=./pdfs ./txt/b_error.tex",shell=True)
subprocess.run("cp ./txt/b_error.tex "+Paper_dir,shell=True)
print("b_error.tex copied to "+Paper_dir)
