#!/bin/bash
#===================================================================
# June 2023 -Mehrnaz Ayazi
# Creates the curvature plot for a specific sim
#===================================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

(
function f()
{
  ob=$1
  input_dir=$2
  frame=$3
  curvature_filename=$4
  cmd="$basedir/curvature -fig $fig -ob $ob -i $input_dir -frame $frame"
  $cmd
  $sc/curvature.m $fig/txt/$input_dir"_curvature_"$ob.txt $curvature_filename
}

#name of the curvature data file,sim output directory,frame number,name of the plot file
f test  "steady_drop_0-64" 1 curvature.jpg

wait
)
