#!/bin/bash
#===================================================================
# August 2023 -Mehrnaz Ayazi, Jason Goulding
# Creates screenshots of the binary separation test at different frames
# Run the ch_evolution_test.sh script for cases 1 before using this script
#===================================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

(    
    dir="ch_test_1"

    for frame in 0 10 100 500 ; do
    # for frame in 100 ; do
        cp $sc/separation_settings.txt $fig/$dir/common/settings.txt
        $PROJ/qt_viewer/qt_viewer $fig/$dir -capture $dir -b $frame -e $frame
        convert $fig/$dir-0000.png -crop 1510x1510+525+10 $fig/$dir-$frame.png
        mv $fig/$dir-$frame.png $fig/binary_$frame.png
        rm $fig/$dir-0000.png
    done

    wait
)
