#!/bin/bash
#===================================================================
# August 2023 -Mehrnaz Ayazi, Jason Goulding
# Creates screenshots of different cases of horizontal shear and crops them to appropriate size.
# Run the horizontal_shear.sh script for cases 1-4 and 7-10 before using this script
#===================================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

(
    sampledir="horizontal_shear_3"
    for frame in 0 50 100; do
        cp $sc/shear_sample_settings.txt $fig/$sampledir/common/settings.txt
        echo $PROJ/qt_viewer/qt_viewer $fig/$sampledir -capture $sampledir -b $frame -e $frame
        $PROJ/qt_viewer/qt_viewer $fig/$sampledir -capture $sampledir -b $frame -e $frame
        # convert $fig/$sampledir-0000.png -crop 1510x1510+525+10 $fig/$sampledir-$frame.png
        convert $fig/$sampledir/$sampledir-0000.png -crop 1460x1460+550+33 $fig/$sampledir-$frame.png
        #rm $fig/$sampledir/$sampledir-0000.png
    done

    overviewdir="horizontal_shear_1"
    cp $sc/shear_sample_settings.txt $fig/$overviewdir/common/settings.txt
    $PROJ/qt_viewer/qt_viewer $fig/$overviewdir -capture $overviewdir -b 100 -e 100
    convert $fig/$overviewdir/$overviewdir-0000.png -fill none -stroke red -strokewidth 3 -draw "rectangle 752,66 1377,566 " $fig/$overviewdir-just-rectangle.png
    convert $fig/$overviewdir-just-rectangle.png -crop 1460x1460+550+33 $fig/$overviewdir-rectangle.png
    #rm $fig/$overviewdir/$overviewdir-0000.png
    #rm $fig/$overviewdir-just-rectangle.png
    
    DIRS="horizontal_shear_1 horizontal_shear_2 horizontal_shear_3 horizontal_shear_4"

    for dir in $DIRS ; do
        cp $sc/shear_settings.txt $fig/$dir/common/settings.txt
        $PROJ/qt_viewer/qt_viewer $fig/$dir -capture $dir -b 100 -e 100
        convert $fig/$dir/$dir-0000.png -crop 1500x1200+500+50 $fig/$dir-cropped.png
        #rm $fig/$dir/$dir-0000.png
    done

    wait
)
