#! /usr/bin/env bash
#========================================================
# By default, runs a dam break test at a density ratio of approximately 1000 (water/air)
# Usage: dam_break_test.sh <fig> [test number=0] [optional argument=none]
#========================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

test=${1:-0}
end_frame=1750
dt=0.005715
steps=80
option=$2
eta=0.005715 # could be different
M=0 # chosen so that program automatically calculates M such that L*M=1e-7
# M="1e-3"
res=8
refine=16
# M0=$(perl -e 'print 10**(-5)')
# eta0=$(perl -e 'print 1/32')
# h=$(perl -e 'print 4/(16*'$refine')')
# h0=$(perl -e 'print 1/32')
# Xeta=$(perl -e 'print 2/3')
# XM=$(perl -e 'print 3/2')
# eta=$(perl -e 'print '$eta0'*('$h'/'$h0')**'$Xeta)
# M=$(perl -e 'print '$M0'*('$eta'/'$eta0')**'$XM)

CMD="$basedir/chns -test 18 -frame_dt $dt -e $end_frame -spf $steps -res $res -refine $refine $option -second_order -mu0 1.78e-5 -mu1 1.002e-3 -ch_sigma 7.28e-2 -ch_eta $eta -ch_M $M -st_type 2 -ch_h_tol 1e-12 -mu_tol 1e-12 -p_tol 1e-12 "

if [ $test -eq 0 ]
then
    echo $CMD -rho0 1.204 -rho1 998.207 -gravity_v "0 -9.8" -o $fig/dam_break_$test &
    $CMD -rho0 1.204 -rho1 998.207 -gravity_v "0 -9.8" -o $fig/dam_break_$test >/dev/null &
    wait
elif [ $test -eq 1 ];
  then
      echo $CMD -rho0 1.204 -rho1 120400 -gravity_v "0 -9.8" -o $fig/dam_break_$test &
      $CMD -rho0 1.204 -rho1 120400 -gravity_v "0 -9.8" -o $fig/dam_break_$test >/dev/null &
      wait
# elif [ $test -eq 1 ]
# then
#   echo $CMD -rho0 1.204 -rho1 99820.7 -res 8 -refine $refine -gravity_v "0 -9.8" -o $fig/dam_break_$test &
#   $CMD -rho0 1.204 -rho1 99820.7 -res 8 -refine $refine -gravity_v "0 -9.8" -o $fig/dam_break_$test >/dev/null &
fi

wait
