#!/usr/bin/env python

import sys
import math

zero_tol=1e-10

if len(sys.argv) < 2:
   sys.exit("need a file to test")

files = []
for file in sys.argv[1:]:
   files.append(open(file, 'r'))

print("\\begin{tabular}{ | c | c c | c c | c c | c c | c c | c c |}")
print("\\hline")
print(" & \\multicolumn{4}{|c|}{$r=0.1$} & \\multicolumn{4}{|c|}{$r=0.05$} & \\multicolumn{4}{|c|}{$r=0.01$} \\\\ ")
print("\\hline")
print("N & \\multicolumn{2}{|c|}{$L_{2}$} & \\multicolumn{2}{|c|}{$L_{\\infty}$} & \\multicolumn{2}{|c|}{$L_{2}$} & \\multicolumn{2}{|c|}{$L_{\\infty}$} & \\multicolumn{2}{|c|}{$L_{2}$} & \\multicolumn{2}{|c|}{$L_{\\infty}$} \\\\")
print("\\hline")

res = []
L2 = [[]]
Linf = [[]]
for f in range(len(files)):
   L2.append([])
   Linf.append([])   
   for line in files[f]:
      words = line.split()
      res_temp = int(words[0])
      if res_temp not in res:
         res.append(res_temp)
      L2[f].append(float(words[1]))
      Linf[f].append(float(words[2]))

for i, r in enumerate(res,0):
   if i == 0:
      line="{}".format(r)
      for f in range(len(files)):
         L2f=L2[f]
         Linff=Linf[f]
         L2order=" "
         line+=" & {:.2E} & {}".format(L2f[i],L2order)
         Linforder=" "
         line+=" & {:.2E} & {}".format(Linff[i],Linforder)
      line+="\\\\"
      print(line)
   else:
      line="{}".format(r)
      for f in range(len(files)):
         L2f=L2[f]
         Linff=Linf[f]
         if L2f[i] < zero_tol:
            L2order="N/A"
            line+=" & {:.2E} & {}".format(L2f[i],L2order)
         else:
            L2order=round(math.log(L2f[i-1]/L2f[i],float(res[i])/float(res[i-1])),6)
            line+=" & {:.2E} & {:1.2f}".format(L2f[i],L2order)
         
         if Linff[i] < zero_tol:
            Linforder="N/A"
            line+=" & {:.2E} & {}".format(Linff[i],Linforder)
         else:
            Linforder=round(math.log(Linff[i-1]/Linff[i],float(res[i])/float(res[i-1])),6)
            line+=" & {:.2E} & {:1.2f}".format(Linff[i],Linforder)
      line+=" \\\\"
      print(line)
print("\\hline")
print("\\end{tabular}")
         
