#! /usr/bin/env bash
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

option=$1

rm -f $fig/spacetime*.txt

M=0.001
sigma=0.00942809
eta=0.1
end_frame=1
use_out="-suppress_output"

#CMD="$basedir/cahn-hilliard -test 1 -M 0.001 -sigma 0.00942809 -rho0 3 -rho1 1 -mu0 0.02 -mu1 0.01 -gravity -eta 0.1 $use_out -second_order_time -slip"
CMD="$basedir/chns -test 1 -M $M -sigma $sigma -rho0 3 -rho1 1 -gravity -eta 0.1 $use_out $option"
CODE="gamma=cos(x)*cos(y)*sin(t);u=sin(x)*cos(y)*cos(t);v=-cos(x)*sin(y)*cos(t);p=cos(x)*cos(y)*sin(t);"
#CODE="gamma=exp(-t)*cos(x);u=0;v=0;p=0;"


# echo "testing paper solution (pi range):"
# for res in 128 160 192 224 256; do
#     for dt in 0.0025 0.0022 0.001875 0.0015 0.00125; do
#         range=$(echo "2*3.14159265359" | awk -F "*" '{print $1*$2}')
#         dx=$(echo "$range/$res" | awk -F "/" '{print $1/$2}')
#         echo $CMD -res $res -frame_dt $dt -e $end_frame -range_scale "3.14159265359 3.14159265359" -o $fig/source_outputs/spacetime-$res-$dt -code "$CODE"
#         ( $CMD -res $res -frame_dt $dt -e $end_frame -range_scale "3.14159265359 3.14159265359" -o $fig/source_outputs/spacetime_$res_$dt -code "$CODE" > $fig/spacetime-log-$res-$dt.txt && echo "$fig/spacetime-log-$res-$dt.txt $dx $dt" >> $fig/spacetime_directory.txt ) &
#     done
# done
# wait

echo "testing paper solution (pi range):"
for res in 128 160 192 224 256; do
    for end_frame in 20 25 30 35 40; do
        range=$(echo "2*3.14159265359" | awk -F "*" '{print $1*$2}')
        dx=$(echo "$range/$res" | awk -F "/" '{print $1/$2}')
        dt=$(echo "0.01/$end_frame" | awk -F "/" '{print $1/$2}')
        echo $CMD -res $res -frame_dt $dt -e $end_frame -range_scale "3.14159265359 3.14159265359" -o $fig/source_outputs/spacetime-$res-$dt -code "$CODE"
        ( $CMD -res $res -frame_dt $dt -e $end_frame -range_scale "3.14159265359 3.14159265359" -o $fig/source_outputs/spacetime_$res_$dt -code "$CODE" | tail -26 > $fig/spacetime-log-$res-$dt.txt && echo "$fig/spacetime-log-$res-$dt.txt $dx $dt" >> $fig/spacetime_directory.txt ) &
    done
done
wait
