#! /usr/bin/env bash
#========================================================
# Steady Drop test suite
# Usage: steady_drop.sh <fig> [case number=0] [optional argument=none]
#========================================================
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

test=${1:-0}
end_frame=500
dt=0.01
sigma=1
option=$2
# use_out=$3

rm -f $fig/tmp-*txt

CMD="$basedir/chns -test 3 -frame_dt $dt -e $end_frame $option -second_order -sigma $sigma -mu0 0 -mu1 0 -no_st_force -no_viscosity -tol 1e-15 -print_end_gamma "

if [ $test -eq 0 ]
then
    refine=1
    M=1
    eta=0.1
    echo  $CMD -M $M -eta $eta -rho0 1 -rho1 1 -range_max "0.04 10" -res_v "4 1000" -refine $refine -periodic_v "1 0" -slip -o $fig/topbottom_$test &
    $CMD -M $M -eta $eta -rho0 1 -rho1 1 -range_max "0.04 10" -res_v "4 1000" -refine $refine -periodic_v "1 0" -slip -o $fig/topbottom_$test >/dev/null &

fi

wait
