#! /usr/bin/env bash
basedir="$PROJ/chns_project"
ex="$basedir/example_scripts"
sc="$basedir/Figures/scripts"

fig="$1"
mkdir -p $fig/logs $fig/tex $fig/txt $fig/pdfs
shift

test=${1:-0}
end_frame=${2:-1}
dt=0.01
option=$3

CMD="$basedir/chns -frame_dt $dt -e $end_frame $option -second_order -tol 1e-15 -test_units "

if [ $test -eq 0 ]
then
    M="1e-2"
    sigma="1e-2"
    refine=1
    eta=0.02
    $PHYSBAM/Scripts/misc/test_units.py $CMD -test 13 -random_gamma 1 -eta $eta -mu0 0.1 -mu1 0.2 -rho0 1 -rho1 2 -res 8 -refine $refine -sigma $sigma -M $M -periodic -range_scale "2 2" -o $fig/unit_test_$test &
    wait
elif [ $test -eq 1 ]
then
    M="1e-3"
    sigma=0.00942809
    eta=0.1
    refine=1
    $PHYSBAM/Scripts/misc/test_units.py $CMD -rho0 3 -rho1 1 -mu0 0.02 -mu1 0.01 -eta $eta -source_sym -test_sym -error_output -st_type 1 -res 8 -gravity_v "1 -2" -range_scale "3.14159265359 3.14159265359" -test 1 -refine $refine -sigma $sigma -M $M -periodic -o $fig/unit_test_$test -code "gamma=(cos(x)*cos(y)+1)/2*sin(t);u=sin(x)*cos(y)*cos(t);v=-cos(x)*sin(y)*cos(t);p=cos(x)*cos(y)*cos(t);" &
    wait
fi


# $basedir/chns -frame_dt 0.01 -e 1 -second_order -tol 1e-15 -test_units -momentum -rho0 3 -rho1 1 -mu0 0.02 -mu1 0.01 -eta 0.1 -source_sym -test_sym -error_output -st_type 1 -res 8 -gravity_v "1 -2" -range_scale "3.14159265359 3.14159265359" -test 1 -refine 1 -sigma 0.00942809 -M 1e-3 -periodic_v 1 1 -o $fig/unit_test_1 -code "gamma=(cos(x)*cos(y)+1)/2*sin(t);u=sin(x)*cos(y)*cos(t);v=-cos(x)*sin(y)*cos(t);p=cos(x)*cos(y)*sin(t);"

# $basedir/chns -test 1 -M 0.001 -sigma 0.00942809 -rho0 3 -rho1 1 -mu0 0.02 -mu1 0.01 -eta 0.1 -source_sym -test_sym -second_order -error_output -tol 1e-15 -st_type 1 -res 8 -frame_dt 0.01 -refine 08 -spf 1 -e 1 -gravity_v "1 -2" -range_scale "3.14159265359 3.14159265359" -o $fig/source_test -code "gamma=(cos(x)*cos(y)+1)/2*sin(t);u=sin(x)*cos(y)*cos(t);v=-cos(x)*sin(y)*cos(t);p=cos(x)*cos(y)*sin(t);" -periodic
