#!/bin/python3

#prerequisite: run the run_all_examples.sh or run_all_examples.opt.sh with -ch_gamma_stats flag

import subprocess
import pandas as pd
import re

print("Working directory: ",subprocess.check_output("pwd",shell=True))
logs = subprocess.check_output("ls */common/log.txt",shell=True).decode("utf-8")
logs = logs.split("\n")
logs = [x for x in logs if x]

# write to md
results = pd.DataFrame()
for logname in logs:
    dir = logname.split("/")[0]
    print(logname)
    gb = "grep \"gamma (before prepare\" "
    ga = "grep \"gamma (after ch solve\" "
    befores=""
    afters=""
    frames = ""

    try:
        frames = subprocess.check_output("grep \"END Frame\" "+logname,shell=True).decode("utf-8")
        frames = frames.split("\n")
        endframe = re.findall(r'\d+',frames[-2])[0]
        results.loc[dir,"end frame"] = endframe
        framedts = [float(re.findall(r'\d+\.\d+',x)[0]) for x in frames if x]
        framedt = sum(framedts)/len(framedts)
        results.loc[dir,"avg frame runnning time"] = framedt
    except: 
        print("didn't get frames")


    try:
        befores = subprocess.check_output(gb+logname,shell=True).decode("utf-8")
        befores = befores.split("\n")
        befores = [float(x.split('=')[-1]) for x in befores if x] 
        results.loc[dir,"initial gamma"] = befores[0]
    except subprocess.CalledProcessError as e:
        print("didn't get befores")

    try:
        afters = subprocess.check_output(ga+logname,shell=True).decode("utf-8")
    except subprocess.CalledProcessError as e:
        print("didn't get afters")
        continue
    afters = afters.split("\n")
    afters = [float(x.split('=')[-1]) for x in afters if x] 
    diffgs = [afters[i]-befores[i]  for i,x in enumerate(afters)]
    results.loc[dir,"average gamma diff"] = sum(diffgs)/len(diffgs)
    results.loc[dir,"total gamma diff"] =  afters[-1] - befores[0]
    results.loc[dir,"total gamma change percentage"] = results.loc[dir,"total gamma diff"]/results.loc[dir,"initial gamma"]

results.to_html(open("result_gamma_table.html",'w'));


